Package org.eclipse.lemminx.extensions.contentmodel.participants.codeactions

## Class ETagRequiredCodeAction

- java.lang.Object
- - org.eclipse.lemminx.extensions.contentmodel.participants.codeactions.CloseTagCodeAction
  - - org.eclipse.lemminx.extensions.contentmodel.participants.codeactions.ETagRequiredCodeAction

All Implemented Interfaces:
  `ICodeActionParticipant`

    public class ETagRequiredCodeAction
    extends CloseTagCodeAction

Code action to fix ETagRequired error.

### Constructor Summary

Constructors
`ETagRequiredCodeAction()`

### Method Summary

### Methods inherited from class org.eclipse.lemminx.extensions.contentmodel.participants.codeactions.CloseTagCodeAction

`doCodeAction`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.lemminx.services.extensions.codeaction.ICodeActionParticipant

`doCodeActionUnconditional, getResolveCodeActionParticipant`

### Constructor Detail

#### ETagRequiredCodeAction

    public ETagRequiredCodeAction()